<template>
	<web-view :src="src"></web-view>
</template>

<script>
import { mapGetters } from 'vuex'
// import { getSelfInfo } from '@/utils/auth'

export default {
	data() {
		return {
			src: '',
			roleName: ''
		}
	},
	computed: {
		// ...mapGetters({ userInfo: 'getSelfInfo' })
	},
	onLoad(option) {
	},
	/**
		 * 用户点击右上角分享
		 */
	onShareAppMessage: function(option) {
		let shareObj = {}
		shareObj = {
			title: this.userInfo.nick_name + this.userInfo.role_name,
			path: `/pages/design/designCompany/indexNew?${params}`
		}
		return shareObj
	}
}
</script>

<style lang="scss" scoped>
</style>
